%define name runmap
%define version 2.53
%define release 1
%define prefix /usr

Summary:        
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Applications/System
Source0: http://www.nmap.ru/runmap/dist/%{name}-%{version}.tgz
URL: http://www.nmap.ru/runmap/
BuildRoot: /var/tmp/%{name}-root
# RPM can't be relocatable until I stop storing path info in the binary
# Prefix: %{prefix}

%description
RuNmap -   ,      
 .       Nmap 
.   RuNmap : ping- ( 
),     ( , 
)     TCP/IP (   ).
RuNmap         ,
 "" "   , 
 TCP ISN-,  sunRPC-,
reverse-identd-   .

%package frontend
Summary:      RuNmap
Group: Applications/System
Requires: runmap, gtk+
Version: 0.%{version}
%description frontend
       RuNmapFE    RuNmap.
RuNmap      RuNmapFE.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make 

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

mkdir -p $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Utilities

%post frontend
rm -f ${prefix}/bin/xrunmap
ln -s nmapfe ${prefix}/bin/xrunmap

%postun frontend
rm -f ${prefix}/bin/xrunmap

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README docs/copying.html docs/runmap-osdetect.html
%doc docs/runmap-portscan.html docs/runmap-usage.txt
%doc docs/runmap-manpage.html CHANGELOG
%{prefix}/bin/runmap
%{prefix}/share/runmap

%files frontend
%defattr(-,root,root)
%{prefix}/bin/runmapfe
%{prefix}/bin/xrunmap
%{prefix}/share/gnome/apps/Utilities/runmapfe.desktop

%changelog
* Mon Aug 14 2000 Alex Volkov <alex@nmap.ru>
-     RuNmap

* Thu Aug 8 2000 Alex Volkov <alex@nmap.ru>
-    RuNmap 2.53
-    #include   inet_aton.c
 ( LinuxMan)

* Mon Aug 7 2000 Alex Volkov <alex@nmap.ru>
-   .spec
-    

* Fri Aug 4 2000 Alex Volkov <alex@nmap.ru>
-    
-    
-  RPM  SRC.RPM - 

* Thu Aug 1 2000 Alex Volkov <alex@nmap.ru>
-     PCap
  ( hexagenum)
-    
- RuNmap    MANDRAKE-RUSSIAN

* Mon Jul 31 2000 Alex Volkov <alex@nmap.ru>
-   -  RuNmap 2.53beta1
-      
- RuNmap    nmap-hackers











